Subject: Re: [PATCH 1/2 bpf v2] xdp: add XDP extension to skb

From: Jakub Kicinski <[email-masked]>
Date: Tue, 28 Oct 2025 15:55:58 -0700

On Tue, 28 Oct 2025 19:30:31 +0100 Fernando Fernandez Mancera wrote:
> This patch adds a new skb extension for XDP representing the number of
> cq descriptors and a linked list of umem addresses.
> 
> This is going to be used from the xsk skb destructor to put the umem
> addresses onto pool's completion queue.

This increases the size of skb extensions and burns a bit in every skb.
Unacceptable for a fallback / slowpath.